package com.ruoyi.generator.domain.front.dto.block;

import java.util.Map;

public class BusinessBlockInstance
{
    private String id;
    private String blockCode;
    private String name;
    private Map<String, String> config;
    private Integer span;
    private ChartDatasetConfig dataset;
    private Map<String, Object> display;

    public String getId() { return id; }
    public void setId(String id) { this.id = id; }
    public String getBlockCode() { return blockCode; }
    public void setBlockCode(String blockCode) { this.blockCode = blockCode; }
    public String getName() { return name; }
    public void setName(String name) { this.name = name; }
    public Map<String, String> getConfig() { return config; }
    public void setConfig(Map<String, String> config) { this.config = config; }
    public Integer getSpan() { return span; }
    public void setSpan(Integer span) { this.span = span; }
    public ChartDatasetConfig getDataset() { return dataset; }
    public void setDataset(ChartDatasetConfig dataset) { this.dataset = dataset; }
    public Map<String, Object> getDisplay() { return display; }
    public void setDisplay(Map<String, Object> display) { this.display = display; }
}
